View Issue Details

IDProjectCategoryView StatusLast Update
16621Bug reportsRemoteControlpublic2021-03-30 08:35
ReporterTonyMonast Assigned Toc_schmitz  
PrioritynoneSeveritypartial_block 
Status resolvedResolutionfixed 
Product Version4.3.10 
Summary16621: RPC JSON API : The parameter "conditions" and "token" for the list_participants() do not allow multiple tokens anymore
DescriptionWhile asking for help on the forum, a user (tpartner) suggested that I should use list_participants() function by passing several tokens in the token condition in order to retrieve a list of participants from a list of tokens. This works in version 3 of Lime Survey, and no longer works in version 4. This is a significant regression. Is it normal?
Steps To ReproduceSee forum post : https://forums.limesurvey.org/forum/can-i-do-this-with-limesurvey/122147-delete-participant-by-survey-access-token#204528
Additional Informationhttps://forums.limesurvey.org/forum/can-i-do-this-with-limesurvey/122147-delete-participant-by-survey-access-token#204537
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.3.10+200812
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Version5.7.31
Server OS (if known)
Webserver software & version (if known)Apache
PHP Version7.4.9

Relationships

related to 15999 closedollehar Feature requests Extend RemoControl function list_participants to allow basic conditions 

Activities

tpartner

tpartner

2020-08-26 19:38

developer   ~59641

See https://github.com/LimeSurvey/LimeSurvey/commit/f6e3f30de8e33c6e3d3926bd81895f848ba471ad
ollehar

ollehar

2021-03-10 17:13

administrator   ~63059

You're using an outdated version of LimeSurvey. Please update to the latest version and check if the bug can still be reproduced. Thank you.
c_schmitz

c_schmitz

2021-03-29 19:53

administrator   ~63715

I can confirm it to be a regression in favor of new advanced condition.
This regression is now fixed by offering the new condition 'IN'.
c_schmitz

c_schmitz

2021-03-29 19:54

administrator   ~63716

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31429
DenisChenu

DenisChenu

2021-03-30 08:35

developer   ~63718

> I can confirm it to be a regression in favor of new advanced condition.

For information, some day ago, by mistake, i use ->compare("column", array()) : it work directly

See https://github.com/yiisoft/yii/blob/e595a0520c9bf25fd13a2139c9494c949d1eff11/framework/db/schema/CDbCriteria.php#L420

Too late, but maybe best solution is to just (if columln exist) add ->compare($columnName, $valueOrTuple) … then user can send

"<myvalue"
"<=myvalue"
["myvalue1","myvalue2"]

More understandable (in my opinion).

Related Changesets

LimeSurvey: master a12a92df

2021-03-29 19:54:50

c_schmitz


Committer: GitHub Details Diff
Fixed issue 16621: In RemoteControl the parameter conditions and token for list_participants() do not allow multiple token IDs anymore (#1828) Affected Issues
16621
mod - application/helpers/remotecontrol/remotecontrol_handle.php Diff File
mod - application/models/FailedLoginAttempt.php Diff File
mod - tests/unit/helpers/RemoteControlListParticipantsTest.php Diff File

Issue History

Date Modified Username Field Change
2020-08-26 19:35 TonyMonast New Issue
2020-08-26 19:38 tpartner Note Added: 59641
2020-08-26 19:38 tpartner Severity minor => partial_block
2021-03-10 17:13 ollehar Assigned To => ollehar
2021-03-10 17:13 ollehar Status new => feedback
2021-03-10 17:13 ollehar Note Added: 63059
2021-03-29 16:38 c_schmitz Assigned To ollehar => c_schmitz
2021-03-29 16:39 c_schmitz Relationship added related to 15999
2021-03-29 16:51 c_schmitz Status feedback => confirmed
2021-03-29 19:53 c_schmitz Note Added: 63715
2021-03-29 19:54 c_schmitz Changeset attached => LimeSurvey master a12a92df
2021-03-29 19:54 c_schmitz Note Added: 63716
2021-03-29 19:54 c_schmitz Resolution open => fixed
2021-03-29 19:55 c_schmitz Status confirmed => resolved
2021-03-30 08:35 DenisChenu Note Added: 63718